Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030286
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2015-06-30 09:252015-08-20 23:16
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision579b82cafcd8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030286: Add ability to determine if modulescripts should be executed depending on a particular module version

Descriptionhttp://wiki.openbravo.com/wiki/Projects:Modulescripts_ERP_Version_Update_Expose [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00304593.0PR15Q4 closedcaristu Not possible to configure properly a modulescript to be executed twice or more times during install.source 
related to feature request 0030515 closedinigosanchez Add ability to determine if build validations should be executed depending on a particular module version 
blocks feature request 00303963.0PR15Q4 closedaferraz Review modulescripts performance 

-  Notes
(0078987)
hgbot (developer)
2015-07-21 08:47

Repository: erp/devel/dbsm-main
Changeset: 579b82cafcd87b016778d02160c3cf8e6731637c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jul 21 08:46:53 2015 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/579b82cafcd87b016778d02160c3cf8e6731637c [^]

Fixes issue 30286: Adapt DBSourceManager to get versions in ModuleScriptHandler

---
M src/org/openbravo/ddlutils/task/AlterDatabaseDataAll.java
M src/org/openbravo/ddlutils/task/AlterDatabaseDataMod.java
M src/org/openbravo/ddlutils/task/ImportSampledata.java
M src/org/openbravo/ddlutils/util/DBSMOBUtil.java
---
(0078988)
hgbot (developer)
2015-07-21 09:00

Repository: erp/devel/pi
Changeset: 538992966e3397c819e5fbd72ad6bf1bd555efcb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jul 21 08:59:53 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/538992966e3397c819e5fbd72ad6bf1bd555efcb [^]

Related to issue 30286: Modulescript ERP Version Update Expose Project

---
M src-core/src/org/openbravo/modulescript/ModuleScript.java
M src-core/src/org/openbravo/modulescript/ModuleScriptHandler.java
M src-db/database/lib/dbsourcemanager.jar
M src-test/src/org/openbravo/test/AllAntTaskTests.java
A src-core/src/org/openbravo/modulescript/ModuleScriptExecutionLimits.java
A src-core/src/org/openbravo/modulescript/OpenbravoVersion.java
A src-test/src/org/openbravo/test/modularity/ModuleScriptsVersions.java
R src-util/modulescript/src/org/openbravo/modulescript/OpenbravoVersion.java
---
(0079008)
alostale (developer)
2015-07-21 13:01

code reviewed and tested
(0079501)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-06-30 09:25 caristu New Issue
2015-06-30 09:25 caristu Assigned To => caristu
2015-06-30 09:25 caristu Modules => Core
2015-06-30 09:25 caristu Triggers an Emergency Pack => No
2015-07-21 08:46 caristu Review Assigned To => alostale
2015-07-21 08:46 caristu Issue Monitored: alostale
2015-07-21 08:47 hgbot Checkin
2015-07-21 08:47 hgbot Note Added: 0078987
2015-07-21 08:47 hgbot Status new => resolved
2015-07-21 08:47 hgbot Resolution open => fixed
2015-07-21 08:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/dbsm-main/rev/579b82cafcd87b016778d02160c3cf8e6731637c [^]
2015-07-21 09:00 hgbot Checkin
2015-07-21 09:00 hgbot Note Added: 0078988
2015-07-21 12:38 aferraz Relationship added blocks 0030396
2015-07-21 13:01 alostale Note Added: 0079008
2015-07-21 13:01 alostale Status resolved => closed
2015-07-21 13:01 alostale Fixed in Version => 3.0PR15Q4
2015-07-30 10:53 caristu Relationship added related to 0030459
2015-08-07 10:41 aferraz Relationship added related to 0030515
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079501


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker